<div class="col-lg-5">	
	<h1 class="h1-strong">{{title}}</h1>
	<div *ngIf="status == 'success'" class="alert alert-success">
		Registro completado correctamente, <a [routerLink]="['/login']">identificate aquí</a>
	</div>
	<div *ngIf="status == 'error'" class="alert alert-danger">
		El registro no ha podido completarse, quizas tu email o nickname ya esté en uso, intentalo de nuevo
	</div>
	<form #registerForm="ngForm" (ngSubmit)="onSubmit(registerForm)" class="col-lg-12">
		<p>	
			<label>	Nombre</label>	
			<input type="text" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control" required />
			<span *ngIf="!name.valid && name.touched">
				El nombre es obligatorio
			</span>		
		</p>	
		<p>	
			<label>	Apellidos</label>	
			<input type="text" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control" required />
			<span *ngIf="!surname.valid && surname.touched">
				El apellido es obligatorio
			</span>		
		</p>
		<p>	
			<label>	Nickname</label>	
			<input type="text" name="nick" #nick="ngModel" [(ngModel)]="user.nick" class="form-control" required />
			<span *ngIf="!nick.valid && nick.touched">
				El apodo es obligatorio
			</span>		
		</p>
		<p>	
			<label>	Email</label>	
			<input type="text" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" required pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" />
			<span *ngIf="!email.valid && email.touched">
				El Email es obligatorio
			</span>		
		</p>	
		<p>	
			<label>	Password</label>	
			<input type="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" required />
			<span *ngIf="!password.valid && password.touched">
				La pass es obligatorio
			</span>		
		</p>
		<input type="submit" value="{{title}}" class="btn btn-success" [disabled]="!registerForm.form.valid">
				
	</form>
</div>
